/*
  Warnings:

  - You are about to drop the column `created_at` on the `tbExperience` table. All the data in the column will be lost.
  - You are about to drop the column `end_date` on the `tbExperience` table. All the data in the column will be lost.
  - You are about to drop the column `start_date` on the `tbExperience` table. All the data in the column will be lost.
  - You are about to drop the column `updated_at` on the `tbExperience` table. All the data in the column will be lost.
  - You are about to drop the column `user_id` on the `tbExperience` table. All the data in the column will be lost.
  - You are about to drop the column `created_at` on the `tbUser` table. All the data in the column will be lost.
  - You are about to drop the column `is_admin` on the `tbUser` table. All the data in the column will be lost.
  - You are about to drop the column `updated_at` on the `tbUser` table. All the data in the column will be lost.
  - Added the required column `endDate` to the `tbExperience` table without a default value. This is not possible if the table is not empty.
  - Added the required column `startDate` to the `tbExperience` table without a default value. This is not possible if the table is not empty.
  - Added the required column `userId` to the `tbExperience` table without a default value. This is not possible if the table is not empty.

*/
-- DropForeignKey
ALTER TABLE "tbExperience" DROP CONSTRAINT "tbExperience_user_id_fkey";

-- AlterTable
ALTER TABLE "tbExperience" DROP COLUMN "created_at",
DROP COLUMN "end_date",
DROP COLUMN "start_date",
DROP COLUMN "updated_at",
DROP COLUMN "user_id",
ADD COLUMN     "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
ADD COLUMN     "endDate" TIMESTAMP(3) NOT NULL,
ADD COLUMN     "startDate" TIMESTAMP(3) NOT NULL,
ADD COLUMN     "updatedAt" TIMESTAMP(3),
ADD COLUMN     "userId" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "tbUser" DROP COLUMN "created_at",
DROP COLUMN "is_admin",
DROP COLUMN "updated_at",
ADD COLUMN     "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
ADD COLUMN     "isAdmin" BOOLEAN NOT NULL DEFAULT false,
ADD COLUMN     "updatedAt" TIMESTAMP(3);

-- AddForeignKey
ALTER TABLE "tbExperience" ADD CONSTRAINT "tbExperience_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
