-- CreateTable
CREATE TABLE "tbMetrics" (
    "id" TEXT NOT NULL,
    "sessionsMetrics" JSONB,
    "usersMetrics" JSONB,
    "sessionRequestMetrics" JSONB,
    "userId" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),

    CONSTRAINT "tbMetrics_pkey" PRIMARY KEY ("id")
);

-- CreateIndex
CREATE UNIQUE INDEX "tbMetrics_userId_key" ON "tbMetrics"("userId");

-- AddForeignKey
ALTER TABLE "tbMetrics" ADD CONSTRAINT "tbMetrics_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
