import { Injectable } from '@nestjs/common';
import { MailerService } from '@nestjs-modules/mailer';

@Injectable()
export class EmailService {
  constructor(private readonly mailerService: MailerService) {}

  public verificationToken(token): void {
    this.mailerService
      .sendMail({
        to: 'test@nestjs.com',
        from: 'noreply@nestjs.com',
        subject: 'Testing Nest Mailermodule with template ✔',
        template: __dirname + '/templates/mentora-email.pug',
        context: {
          // Data to be sent to template engine.
          token_number: token,
        },
      })
      .then(() => {})
      .catch(() => {});
  }
}
