import { AdminReportsService } from '@/core/admin-reports/admin-reports.service';
import { Controller, Get } from '@nestjs/common';

@Controller('/admin-reports')
export class AdminReportsController {
  constructor(private readonly adminReportService: AdminReportsService) {}

  @Get()
  async getAll() {
    return this.adminReportService.getAllData();
  }

  @Get('/overview-metrics')
  async getOverviewMetrics() {
    return this.adminReportService.getOverviewMetrics();
  }
}
