import { Test, TestingModule } from '@nestjs/testing';
import { AppController } from '../src/web/app.controller';
import { AppService } from '../src/app.service';

describe('AppController', () => {
  let appController: AppController;

  beforeEach(async () => {
    const app: TestingModule = await Test.createTestingModule({
      controllers: [AppController],
      providers: [AppService],
    }).compile();

    appController = app.get<AppController>(AppController);
  });

  describe('root', () => {
    it('should return "Mentora"', async () => {
      const response = await appController.index();
      expect(response).toEqual({ message: 'Mentora' });
    });
  });
});
