import { Component, Input, OnInit, Output, EventEmitter } from '@angular/core';


@Component({
  selector: 'text-input',
  templateUrl: './text-input.component.html',
  styleUrls: ['./text-input.component.scss']
})
export class TextInputComponent implements OnInit {

  @Input() name = '';
  @Input() placeholder = '';
  @Input() label = this.placeholder;
  @Input() icon = '';
  @Output() input = new EventEmitter<any>();

  ngOnInit() {
  }

  onInput(event: any) {
    this.input.emit(event)
  }
}