import { Component, Input, OnInit } from '@angular/core';

@Component({
  selector: 'app-user-avatar',
  templateUrl: './user-avatar.component.html',
  styleUrls: ['./user-avatar.component.scss']
})
export class UserAvatarComponent implements OnInit {

  @Input() width = 'w-30';
  @Input() height = 'h-30';
  @Input() avatar = '';
  
  ngOnInit() {
    if (!this.avatar) {
      this.avatar = './assets/img/no-image-user.png'
    }
  }
}