import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { AdminReportsComponent } from './admin-reports.component';
import { SharedModule } from '../shared.module';
import { NgApexchartsModule } from 'ng-apexcharts';

@NgModule({
  declarations: [
    AdminReportsComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    NgApexchartsModule,
    RouterModule.forChild([
        {
          path: '',
          component: AdminReportsComponent,
        },
      ]),
  ]
})
export class AdminReportsModule {}
