import { Component, OnInit } from '@angular/core';
import { StreamI18nService } from 'stream-chat-angular';
import { ChatService } from 'src/app/services/chat/chat.service';


@Component({
  selector: 'chat-root',
  templateUrl: './chat.component.html',
  styleUrls: ['./chat.component.scss'],
})
export class ChatComponent implements OnInit {

  constructor(
    private readonly chatService: ChatService,
    private streamI18nService: StreamI18nService,
  ) {
    this.streamI18nService.setTranslation('pt-br')
  }

  async ngOnInit() {
    await this.chatService.getChannels();
  }
}
