import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SharedModule } from '../shared.module';
import { ChatComponent } from './chat.component';
import {
  StreamChatModule,
  StreamAutocompleteTextareaModule,
} from 'stream-chat-angular';

@NgModule({
  declarations: [ ChatComponent ],
  imports: [
    StreamChatModule,
    StreamAutocompleteTextareaModule,
    CommonModule,
    SharedModule,
    RouterModule.forChild([
        {
          path: '',
          component: ChatComponent,
        },
      ]),
  ]
})
export class ChatModule {}
