import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { LandingPageComponent } from './landing-page.component';
import { SharedModule } from '../shared.module';

@NgModule({
  declarations: [
    LandingPageComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild([
        {
          path: '',
          component: LandingPageComponent,
        },
      ]),
  ]
})
export class LandingPageModule {}
