import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { PagamentoComponent } from './pagamento.component';
import { SharedModule } from '../shared.module';
import { NgPaymentCardModule } from 'ng-payment-card';
import { CardDraw } from './card-preview/card.component';

@NgModule({
  declarations: [
    PagamentoComponent,
    CardDraw
  ],
  imports: [
    CommonModule,
    SharedModule,
    NgPaymentCardModule,
    RouterModule.forChild([
      {
        path: '',
        component: PagamentoComponent,
      },
    ]),
  ]
})
export class PagamentoModule { }
