import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { environment } from 'src/environments/environment';

@Injectable({ providedIn: 'root' })
export class SessionService {

  sessionToPay: any = null;
  sessionToPayDetails: any = null;

  constructor(private http: HttpClient) {
  }

  // getAvailabilityByUser(id: string): Observable<any> {
  //   return this.http.get(environment.URLS.API_BASE_URL + '/availability/user/' + id)
  // }

  postSession(model: any): Observable<any> {
    return this.http.post(environment.URLS.API_BASE_URL + '/sessions', model)
  }

  // putAvailability(id: string, model: any): Observable<any> {
  //   return this.http.put(environment.URLS.API_BASE_URL + '/availability/' + id, model)
  // }

  // deleteAvailability(userId: string, body: any): Observable<any> {
  //   return this.http.delete(`${environment.URLS.API_BASE_URL}/availability?userId=${userId}`, {body})
  // }

}
