<p align="center">
  <a href="http://nestjs.com/" target="blank"><img src="https://nestjs.com/img/logo-small.svg" width="200" alt="Nest Logo" /></a>
</p>

<p align="center">API back-end of Mentora application</p>
<p align="center">

[![CI](https://github.com/MentoraBr/mentora-api/actions/workflows/ci.yml/badge.svg)](https://github.com/MentoraBr/mentora-api/actions/workflows/ci.yml)

## Description

- FrameWork: [Nest](https://github.com/nestjs/nest)

```bash
$ npm install
```

## Running the app

```bash
# development
$ npm run start

# watch mode
$ npm run start:dev

# production mode
$ npm run start:prod
```

## Banco de dados

```bash
# Roda as migrations de desenvolvimento
$ npx prisma migrate dev


# Abrir o gerenciador de banco de dados no browser
$ npx prisma studio


# Configura o Prisma
$ npm prisma init
```
