/*
  Warnings:

  - You are about to drop the column `topicId` on the `tbSession` table. All the data in the column will be lost.
  - Added the required column `description` to the `tbSession` table without a default value. This is not possible if the table is not empty.
  - Added the required column `totalValue` to the `tbSession` table without a default value. This is not possible if the table is not empty.
  - Added the required column `userTopicId` to the `tbSession` table without a default value. This is not possible if the table is not empty.

*/
-- DropForeignKey
ALTER TABLE "tbSession" DROP CONSTRAINT "tbSession_topicId_fkey";

-- AlterTable
ALTER TABLE "tbSession" DROP COLUMN "topicId",
ADD COLUMN     "description" VARCHAR(1000) NOT NULL,
ADD COLUMN     "totalValue" DOUBLE PRECISION NOT NULL,
ADD COLUMN     "userTopicId" TEXT NOT NULL;

-- AlterTable
ALTER TABLE "tbUser" ADD COLUMN     "combinedHours" INTEGER NOT NULL DEFAULT 1,
ADD COLUMN     "toCombine" BOOLEAN NOT NULL DEFAULT false;

-- CreateTable
CREATE TABLE "tbPaymentCard" (
    "id" TEXT NOT NULL,
    "number" CHAR(16) NOT NULL,
    "name" VARCHAR(255) NOT NULL,
    "cvv" CHAR(3) NOT NULL,
    "dueDate" TIMESTAMP(3) NOT NULL,
    "userId" TEXT NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),

    CONSTRAINT "tbPaymentCard_pkey" PRIMARY KEY ("id")
);

-- AddForeignKey
ALTER TABLE "tbSession" ADD CONSTRAINT "tbSession_userTopicId_fkey" FOREIGN KEY ("userTopicId") REFERENCES "tbUserTopic"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbPaymentCard" ADD CONSTRAINT "tbPaymentCard_userId_fkey" FOREIGN KEY ("userId") REFERENCES "tbUser"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
