-- AlterTable
ALTER TABLE "tbSession" ALTER COLUMN "status" SET DEFAULT 'pending';

-- CreateTable
CREATE TABLE "tbPaymentTransaction" (
    "id" TEXT NOT NULL,
    "value" DOUBLE PRECISION NOT NULL,
    "createdAt" TIMESTAMP(3) NOT NULL DEFAULT CURRENT_TIMESTAMP,
    "updatedAt" TIMESTAMP(3),
    "sessionId" TEXT NOT NULL,
    "paymentCardId" TEXT NOT NULL,
    "status" VARCHAR(25) NOT NULL DEFAULT 'pending',

    CONSTRAINT "tbPaymentTransaction_pkey" PRIMARY KEY ("id")
);

-- AddForeignKey
ALTER TABLE "tbPaymentTransaction" ADD CONSTRAINT "tbPaymentTransaction_sessionId_fkey" FOREIGN KEY ("sessionId") REFERENCES "tbSession"("id") ON DELETE RESTRICT ON UPDATE CASCADE;

-- AddForeignKey
ALTER TABLE "tbPaymentTransaction" ADD CONSTRAINT "tbPaymentTransaction_paymentCardId_fkey" FOREIGN KEY ("paymentCardId") REFERENCES "tbPaymentCard"("id") ON DELETE RESTRICT ON UPDATE CASCADE;
