export enum SessionStatus {
  PENDING = 'pending',
  CONFIRMED = 'confirmed',
  CANCELLED = 'cancelled',
  COMPLETED = 'completed',
  DECLINED = 'declined',
}

export enum PaymentTransactionStatus {
  PENDING = 'pending',
  PAID = 'PAID',
  CANCELLED = 'cancelled',
}

export type User = {
  name: string;
  cpf: string;
  email: string;
  password: string;
  avatar: string;
  abstract: string;
  isAdmin: boolean;
};
