import { StreamChatService } from '@/core/chat/stream-chat.service';
import { Body, Controller, Post } from '@nestjs/common';

@Controller('chat')
export class ChatController {
  constructor(private readonly streamChatService: StreamChatService) {}

  @Post()
  async createUser(@Body() body: any) {
    return await this.streamChatService.createUser(body.userId, body.name);
  }
}
