import { DashboardService } from '@/core/dashboard/dashboard.service';
import { Controller, Get, Param } from '@nestjs/common';

@Controller('/dashboard')
export class DashboardController {
  constructor(private readonly dashboardService: DashboardService) {}

  @Get(':userId')
  async getDashboard(@Param('userId') userId: string) {
    return this.dashboardService.getAllData(userId);
  }
}
