import { UserReportRepository } from '@/core/user/report/user-report-repository';
import { Controller, Get } from '@nestjs/common';

@Controller('/reports')
export class UserReportController {
  constructor(private readonly userReportRepository: UserReportRepository) {}

  @Get()
  async list() {
    return await this.userReportRepository.listReports();
  }

  @Get('/reasons')
  async listReasons() {
    return await this.userReportRepository.listReasons();
  }
}
