import { Component, ElementRef, Input, OnInit, ViewChild } from '@angular/core';
import { ModalService } from 'src/app/services/modal/modal.service';

@Component({
  selector: 'app-modal-base',
  templateUrl: './modal-base.component.html',
  styleUrls: ['./modal-base.component.scss']
})
export class ModalBaseComponent implements OnInit {

  constructor(public modalService: ModalService) {}

  ngOnInit() {
  }
  
  abrirModal(): void {
    this.modalService.abrirModal();
  }

  fecharModal(): void {
    this.modalService.fecharModal();
  }

  modalRootClick(e: any) {
    e.stopPropagation()
    this.fecharModal()
    e.stopPropagation();
  }

  modalContentClick(e: any) {
    e.stopImmediatePropagation();
  }
}