import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { CadastroComponent } from './cadastro.component';
import { SharedModule } from '../shared.module';

@NgModule({
  declarations: [
    CadastroComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild([
        {
          path: '',
          component: CadastroComponent,
        },
      ]),
  ]
})
export class CadastroModule {}
