import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { EsqueciSenhaComponent } from './esqueci-senha.component';
import { SharedModule } from '../shared.module';

@NgModule({
  declarations: [
    EsqueciSenhaComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    RouterModule.forChild([
        {
          path: '',
          component: EsqueciSenhaComponent,
        },
      ]),
  ]
})
export class EsqueciSenhaModule {}
