import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { SolicitarSessaoComponent } from './solicitar-sessao.component';
import { SharedModule } from '../shared.module';
import { MaterialModule } from '../material.module';
@NgModule({
  declarations: [
    SolicitarSessaoComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    MaterialModule,
    RouterModule.forChild([
        {
          path: '',
          component: SolicitarSessaoComponent,
        },
      ]),
  ]
})
export class SolicitarSessaoModule {}
