import { Injectable } from '@angular/core';
import Swal from 'sweetalert2'
const swal = Swal as any;

@Injectable({ providedIn: 'root' })
export class ErrorService {


  constructor() {
  }

  showErrorMessage(error: any) {
    console.error(error)
    swal.fire('', 'Ocorreu um erro: ' + error['error']?.['message'] || 'Erro desconhecido', 'error')
  }
}
